Author Topic: Help with latest release on CentOS 5  (Read 3889 times)

Offline jakev383

  • Newbie
  • *
  • Posts: 1
Help with latest release on CentOS 5
« on: April 15, 2013, 08:54:06 PM »
Hello everyone - I'v tried to install the latest release, and have the following error:

15-Apr-2013 17:24:48 -0700]: PHP Error: Could not perform encryption; make sure Mcrypt is installed or lib/des.inc is available in /usr/share/roundcubemail/program/include/rcmail.php on line 1474 (POST /rcm/?_task=login&_action=login)

php-mcrypt is installed:

# rpm -q php php-mcrypt libmcrypt
php-5.3.23-16.el5.art
php-mcrypt-5.3.23-16.el5.art
libmcrypt-2.5.8-4.el5.centos

I believe it is also loaded, and I can see it in phpinfo():

Additional .ini files parsed   /etc/php.d/curl.ini, /etc/php.d/dom.ini, /etc/php.d/fileinfo.ini, /etc/php.d/intl.ini, /etc/php.d/json.ini, /etc/php.d/ldap.ini, /etc/php.d/mbstring.ini, /etc/php.d/mcrypt.ini, /etc/php.d/mysql.ini, /etc/php.d/mysqli.ini, /etc/php.d/pdo.ini, /etc/php.d/pdo_mysql.ini, /etc/php.d/pdo_sqlite.ini, /etc/php.d/phar.ini, /etc/php.d/wddx.ini, /etc/php.d/xmlreader.ini, /etc/php.d/xmlwriter.ini, /etc/php.d/xsl.ini, /etc/php.d/zip.ini

Any suggestions on what may be wrong, or what config option I should change to get this working again?
Thanks in advance.


Offline tembo263

  • Newbie
  • *
  • Posts: 2
Re: Help with latest release on CentOS 5
« Reply #1 on: October 02, 2013, 03:50:19 PM »
Had the same problem with CentOS 6.4.  Mcrypt was installed.  Had to change the line in /etc/php.d/mcrypt.ini from:

extension=module.so
to
extension=mcrypt.so

Thanks to this post: https://www.centos.org/modules/newbb/viewtopic.php?topic_id=42045&forum=56